I've just released version 0.3.3 of the ffi-ncurses gem. This fixes
the long-standing issue of not being compatible with ffi version
0.6.x. Apologies to all who requested this change months ago.

=3D What is ffi-ncurses?

A wrapper for ncurses 5.x. Tested on Ubuntu 8.04 to 10.04 and Mac OS X
10.4 (Tiger) with ruby 1.8.6, 1.8.7 and 1.9.x using ffi (>=3D 0.6.3) and
JRuby 1.5.1.

The API is a transliteration of the C API rather than an attempt to
provide an idiomatic Ruby object-oriented API. The intent is to
provide a =91close to the metal=92 wrapper around the ncurses library upon
which you can build your own abstractions.

github repo: http://github.com/seanohalpin/ffi-ncurses

=3D Changes in 0.3.3 / 2010-08-24

* Depends on ffi again (>=3D 0.6.3)
* Now compatible with ffi-0.6.3
* Included keydefs.rb by default
* Examples have been tested with:
  - jruby-1.5.1
  - ree-1.8.7-2010.02
  - ruby-1.8.6-p399
    Note: the examples require "ffi-ncurses/ord-shim" to add
    Integer#ord
  - ruby-1.8.7-p302
  - ruby-1.9.2-p0
* Sadly not compatible with Rubinius (rbx-1.0.0-20100514)
* Removed attempt to load XCurses (PDCurses)
* Removed dependency on bones
  - no Rakefile any more - just use
      gem build ffi-ncurses.gemspec